package com.xhpc.payment.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.XhpcRefundOrder;
import com.xhpc.payment.domain.XhpcRefundAudit;
import com.xhpc.payment.util.TransferBatchNotifyData;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author yuyang
 * @date 2023-08-23 9:35
 */
public interface IXhpcRefundOriginalOrderService {

    //支付宝原路退款
    R zhbRefundOriginalOrder(Long refundOrderId);

    //微信支付
    R wxRefundOriginalOrder(Long refundOrderId);

    //微信回调处理（退款）
    void updateXhpcRefundOriginalOrder(Map<String, String> reqInfo);


    //微信回调处理V3（退款）
    void updateXhpcRefundOriginalOrderV3(TransferBatchNotifyData notifyData);

    void updateXhpcRefundOrder(XhpcRefundOrder refundOrder, BigDecimal refundFee, Integer type,Integer status);

    //新增退款订单
    void addXhpcRefundOrder(XhpcRefundOrder xhpcRefundOrder);

    void getTestSms(String number);

    R getRefundOriginalOrderList(Long refundOrderId);


    Map<String, String> orderqueryUrl(String transactionId);


    Map<String, String> refundqueryUrl(String transactionId);


}
